Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005061 [ardour] bugs crash always 2012-08-03 07:04 2013-02-21 15:36
Reporter sirriffsalot View Status public  
Assigned To sirriffsalot
Priority normal Resolution fixed  
Status resolved   Product Version 3.0 beta5
Summary 0005061: Opening a session = crash 2
Description Hello again. After some further help and reading I've run the gdb (--debug) command and I've got a load of further information to offer. Since the other session that has the same issue as with "Opening a session = crash" has a name that includes brackets I was not able to run --debug on that one, but hopefully since this seems to be the same issue a solution for one will reveal one for the other.. Added the gdb output in additional information, cheers!
Additional Information (gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y

Starting program: /opt/Ardour-3.0beta5_13072/bin/ardour-3.0
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
Ardour3.0beta5 (built using ['13072'] and GCC version 4.4.6)
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file /opt/Ardour-3.0beta5_13072/etc/ardour3_ui_default.conf
Loading user ui configuration file /opt/Ardour-3.0beta5_13072/etc/ardour3_ui.conf
ardour: [INFO]: Loading ui configuration file /opt/Ardour-3.0beta5_13072/etc/ardour3_ui_dark.rc
ardour: [INFO]: Ardour will be limited to 4096 open files
[New Thread 0xb44b6b40 (LWP 2918)]
ardour: [INFO]: Loading system configuration file /opt/Ardour-3.0beta5_13072/etc/ardour_system.rc
Loading user configuration file /home/sirriffsalot/.config/ardour3/ardour.rc
Using SSE optimized routines
[New Thread 0xb3cb5b40 (LWP 2919)]
[New Thread 0xb34b4b40 (LWP 2920)]
[New Thread 0xb2cb3b40 (LWP 2921)]
[New Thread 0xa7241b40 (LWP 2922)]
[New Thread 0xa6a40b40 (LWP 2923)]
[New Thread 0xa623fb40 (LWP 2924)]
[New Thread 0xa5a3eb40 (LWP 2925)]
[New Thread 0xa523db40 (LWP 2926)]
[New Thread 0xa51bcb40 (LWP 2927)]
[Thread 0xa51bcb40 (LWP 2927) exited]
[Thread 0xa523db40 (LWP 2926) exited]
[Thread 0xa7241b40 (LWP 2922) exited]
[Thread 0xa623fb40 (LWP 2924) exited]
[Thread 0xa5a3eb40 (LWP 2925) exited]
[New Thread 0xa5a3eb40 (LWP 2928)]
[New Thread 0xa623fb40 (LWP 2929)]
[Thread 0xa5a3eb40 (LWP 2928) exited]
[Thread 0xa623fb40 (LWP 2929) exited]
[New Thread 0xa523db40 (LWP 2930)]
[New Thread 0xa51bcb40 (LWP 2931)]
lilv_plugin_load_ports_if_necessary(): error: Plugin <http://home.gna.org/lv2vocoder/1> [^] port symbol `600' is invalid
lilv_plugin_load_ports_if_necessary(): error: Plugin <http://home.gna.org/lv2vocoder/1> [^] port symbol `600' is invalid
lilv_plugin_load_ports_if_necessary(): error: Plugin <http://home.gna.org/lv2vocoder/1> [^] port symbol `600' is invalid
lilv_plugin_load_ports_if_necessary(): error: Plugin <http://home.gna.org/lv2vocoder/1> [^] port symbol `600' is invalid
lilv_plugin_load_ports_if_necessary(): error: Plugin <http://home.gna.org/lv2vocoder/1> [^] port symbol `600' is invalid
lilv_plugin_load_ports_if_necessary(): error: Plugin <http://home.gna.org/lv2vocoder/1> [^] port symbol `600' is invalid
[New Thread 0x9f236b40 (LWP 2932)]
[New Thread 0x9f1b5b40 (LWP 2933)]
[New Thread 0x9f134b40 (LWP 2934)]
[New Thread 0x9f0b2c40 (LWP 2935)]
[New Thread 0xa623fb40 (LWP 2936)]
[New Thread 0x9d030c40 (LWP 2937)]
[New Thread 0x9cfb5c40 (LWP 2938)]
ardour-3.0: ../gtk2_ardour/tempo_lines.cc:219: void TempoLines::draw(const __gnu_cxx::__normal_iterator<const ARDOUR::TempoMap::BBTPoint*, std::vector<ARDOUR::TempoMap::BBTPoint, std::allocator<ARDOUR::TempoMap::BBTPoint> > >&, const __gnu_cxx::__normal_iterator<const ARDOUR::TempoMap::BBTPoint*, std::vector<ARDOUR::TempoMap::BBTPoint, std::allocator<ARDOUR::TempoMap::BBTPoint> > >&, double): Assertion `_lines.find(xpos) == _lines.end()' failed.

Program received signal SIGABRT, Aborted.
0xb7fdd424 in __kernel_vsyscall ()
(gdb) thread apply all bt

Thread 22 (Thread 0x9cfb5c40 (LWP 2938)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb52c2c16 in nanosleep () from /lib/i386-linux-gnu/libc.so.6
#2 0xb52f357d in usleep () from /lib/i386-linux-gnu/libc.so.6
#3 0xb7999c5c in ARDOUR::AutomationWatch::thread (this=0xa185060)
    at ../libs/ardour/automation_watch.cc:137
#4 0xb799c57b in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator()(ARDOUR::AutomationWatch*) const ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#5 0xb799c242 in void boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>&, boost::_bi::list0&, int) () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#6 0xb799beb8 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator()() () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#7 0xb799be35 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator()() const ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#8 0xb799bacd in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOU---Type <return> to continue, or q <return> to quit---
R::AutomationWatch*> > >, void>::call_it(sigc::internal::slot_rep*) ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#9 0xb6d29770 in sigc::slot0<void>::operator()() const ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#10 0xb6d29817 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#11 0xb6bd5f02 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#12 0xb6b78381 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#13 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#14 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 21 (Thread 0x9d030c40 (LWP 2937)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584f1f6 in nanosleep () from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb6bd76bf in g_usleep ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#3 0xb6d4404d in Glib::usleep(unsigned long) ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#4 0xb7945c9e in ARDOUR::AudioEngine::meter_thread (this=0x97da7c8)
    at ../libs/ardour/audioengine.cc:759
#5 0xb79581c5 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#6 0xb7957c2c in void boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(b---Type <return> to continue, or q <return> to quit---
oost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#7 0xb79570f2 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#8 0xb7956461 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#9 0xb7954e23 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#10 0xb6d29770 in sigc::slot0<void>::operator()() const ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#11 0xb6d29817 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#12 0xb6bd5f02 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#13 0xb6b78381 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#14 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#15 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 20 (Thread 0xa623fb40 (LWP 2936)):
#0 0xb7fdd424 in __kernel_vsyscall ()
---Type <return> to continue, or q <return> to quit---
#1 0xb52eb380 in poll () from /lib/i386-linux-gnu/libc.so.6
#2 0xb6bbce27 in g_poll ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#3 0xb6bae051 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#4 0xb6bad956 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#5 0xb6bade04 in g_main_loop_run ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#6 0xb6d3a017 in Glib::MainLoop::run() ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#7 0xb6fcf868 in BaseUI::main_thread (this=0xa53f6d8)
    at ../libs/pbd/base_ui.cc:80
#8 0xb6fd2f88 in sigc::bound_mem_functor0<void, BaseUI>::operator() (
    this=0xa53fa84)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#9 0xb6fd2ce0 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0xa53fa80)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#10 0xb6fd26ce in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0xa53fa68)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#11 0xb6d29770 in sigc::slot0<void>::operator()() const ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
---Type <return> to continue, or q <return> to quit---
#12 0xb6d29817 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#13 0xb6bd5f02 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#14 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#15 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 19 (Thread 0x9f0b2c40 (LWP 2935)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb52eb380 in poll () from /lib/i386-linux-gnu/libc.so.6
#2 0xb79acf1d in ARDOUR::Butler::thread_work (this=0xa1928e0)
    at ../libs/ardour/butler.cc:150
#3 0xb79acea3 in ARDOUR::Butler::_thread_work (arg=0xa1928e0)
    at ../libs/ardour/butler.cc:134
#4 0xb6ff8f3a in fake_thread_start (arg=0xa53f8a8)
    at ../libs/pbd/pthread_utils.cc:80
#5 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 18 (Thread 0x9f134b40 (LWP 2934)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584dcc5 in sem_wait@@GLIBC_2.1 ()
   from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb7a77193 in PBD::ProcessSemaphore::wait() ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
---Type <return> to continue, or q <return> to quit---
#3 0xb7a7545a in ARDOUR::Graph::run_one (this=0xa1934e0)
    at ../libs/ardour/graph.cc:380
#4 0xb7a75778 in ARDOUR::Graph::helper_thread (this=0xa1934e0)
    at ../libs/ardour/graph.cc:411
#5 0xb7a7ad2f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#6 0xb7a7a9ce in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#7 0xb7a7a6ac in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#8 0xb7a7a254 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#9 0x087d77dd in boost::function0<void>::operator() (this=0x9f1341bc)
    at /home/harrison/a3/inst/include/boost/function/function_template.hpp:760
#10 0xb7949343 in ARDOUR::AudioEngine::_start_process_thread (arg=0xa19b7d0)
    at ../libs/ardour/audioengine.cc:1566
#11 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6
---Type <return> to continue, or q <return> to quit---

Thread 17 (Thread 0x9f1b5b40 (LWP 2933)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584dcc5 in sem_wait@@GLIBC_2.1 ()
   from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb7a77193 in PBD::ProcessSemaphore::wait() ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#3 0xb7a74a1b in ARDOUR::Graph::restart_cycle (this=0xa1934e0)
    at ../libs/ardour/graph.cc:254
#4 0xb7a749e2 in ARDOUR::Graph::dec_ref (this=0xa1934e0)
    at ../libs/ardour/graph.cc:241
#5 0xb7a7b764 in ARDOUR::GraphNode::finish (this=0xaeb6af0, chain=1)
    at ../libs/ardour/graphnode.cc:71
#6 0xb7a75606 in ARDOUR::Graph::run_one (this=0xa1934e0)
    at ../libs/ardour/graph.cc:394
#7 0xb7a75a90 in ARDOUR::Graph::main_thread (this=0xa1934e0)
    at ../libs/ardour/graph.cc:449
#8 0xb7a7ad2f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#9 0xb7a7a9ce in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
---Type <return> to continue, or q <return> to quit---
#10 0xb7a7a6ac in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() ()
   from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#11 0xb7a7a254 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) () from /opt/Ardour-3.0beta5_13072/lib/libardour.so.3
#12 0x087d77dd in boost::function0<void>::operator() (this=0x9f1b51bc)
    at /home/harrison/a3/inst/include/boost/function/function_template.hpp:760
#13 0xb7949343 in ARDOUR::AudioEngine::_start_process_thread (arg=0xa19b708)
    at ../libs/ardour/audioengine.cc:1566
#14 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#15 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 16 (Thread 0x9f236b40 (LWP 2932)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584de78 in sem_timedwait () from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb58804fe in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#3 0xb586ca87 in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#4 0xb586f2c5 in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#5 0xb586b4e2 in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#6 0xb7944bb3 in ARDOUR::AudioEngine::process_thread (this=0x97da7c8)
    at ../libs/ardour/audioengine.cc:437
---Type <return> to continue, or q <return> to quit---
#7 0xb794454f in ARDOUR::AudioEngine::_process_thread (arg=0x97da7c8)
    at ../libs/ardour/audioengine.cc:335
#8 0xb5869d8f in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#9 0xb587f8a5 in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#10 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#11 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 15 (Thread 0xa51bcb40 (LWP 2931)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584e9db in read () from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb5881d4c in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#3 0xb5884bfc in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#4 0xb587f8a5 in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#5 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 14 (Thread 0xa523db40 (LWP 2930)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584b96b in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb5881403 in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#3 0xb587bf3f in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
#4 0xb587f8a5 in ?? () from /usr/lib/i386-linux-gnu/libjack.so.0
---Type <return> to continue, or q <return> to quit---
#5 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0xa6a40b40 (LWP 2923)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584bd13 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb6bf5ec7 in g_cond_wait_until ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#3 0xb6b7b97c in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#4 0xb6b7bc4c in g_async_queue_timeout_pop ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#5 0xb6bd6320 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#6 0xb6bd65cf in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#7 0xb6bd5f02 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#8 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0xb2cb3b40 (LWP 2921)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584b96b in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb6bf5d75 in g_cond_wait ()
---Type <return> to continue, or q <return> to quit---
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#3 0xb6d2a1fc in Glib::Cond::wait(Glib::Mutex&) ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#4 0xb78f5c2b in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:82
#5 0xb78f5962 in analyser_work () at ../libs/ardour/analyser.cc:46
#6 0x08cd30db in sigc::pointer_functor0<void>::operator()() const ()
#7 0x08cd10b0 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#8 0x08cce400 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x94b8b90)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#9 0xb6d29770 in sigc::slot0<void>::operator()() const ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#10 0xb6d29817 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#11 0xb6bd5f02 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#12 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0xb34b4b40 (LWP 2920)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584b96b in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb6bf5d75 in g_cond_wait ()
---Type <return> to continue, or q <return> to quit---
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#3 0xb6d2a1fc in Glib::Cond::wait(Glib::Mutex&) ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#4 0xb7d0d35d in peak_thread_work () at ../libs/ardour/source_factory.cc:68
#5 0x08cd30db in sigc::pointer_functor0<void>::operator()() const ()
#6 0x08cd10b0 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#7 0x08cce400 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x949b7e8)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8 0xb6d29770 in sigc::slot0<void>::operator()() const ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#9 0xb6d29817 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#10 0xb6bd5f02 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#11 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xb3cb5b40 (LWP 2919)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb584b96b in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i386-linux-gnu/libpthread.so.0
#2 0xb6bf5d75 in g_cond_wait ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#3 0xb6d2a1fc in Glib::Cond::wait(Glib::Mutex&) ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#4 0xb7d0d35d in peak_thread_work () at ../libs/ardour/source_factory.cc:68
#5 0x08cd30db in sigc::pointer_functor0<void>::operator()() const ()
#6 0x08cd10b0 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#7 0x08cce400 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x94b7228)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8 0xb6d29770 in sigc::slot0<void>::operator()() const ()
   from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#9 0xb6d29817 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#10 0xb6bd5f02 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#11 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xb44b6b40 (LWP 2918)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb52c2c16 in nanosleep () from /lib/i386-linux-gnu/libc.so.6
#2 0xb52f357d in usleep () from /lib/i386-linux-gnu/libc.so.6
#3 0x08f3a70e in gui_event_loop (ptr=0x0)
    at ../gtk2_ardour/linux_vst_gui_support.cc:363
#4 0xb5847d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#5 0xb52f9ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb4921840 (LWP 2917)):
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb523d1ef in raise () from /lib/i386-linux-gnu/libc.so.6
#2 0xb5240835 in abort () from /lib/i386-linux-gnu/libc.so.6
#3 0xb5236095 in ?? () from /lib/i386-linux-gnu/libc.so.6
#4 0xb5236147 in __assert_fail () from /lib/i386-linux-gnu/libc.so.6
#5 0x08e724cc in TempoLines::draw (this=0xb42f4b0, begin=..., end=...,
    frames_per_unit=30784.047488) at ../gtk2_ardour/tempo_lines.cc:219
#6 0x08a6f89b in Editor::draw_measures (this=0x9d54078)
    at ../gtk2_ardour/editor_tempodisplay.cc:182
#7 0x08a6f745 in Editor::redraw_measures (this=0x9d54078)
    at ../gtk2_ardour/editor_tempodisplay.cc:167
#8 0x0894941e in sigc::bound_mem_functor0<bool, Editor>::operator() (
    this=0xb74159c)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#9 0x08943570 in sigc::adaptor_functor<sigc::bound_mem_functor0<bool, Editor> >::operator() (this=0xb741598)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#10 0x0893bab8 in sigc::internal::slot_call0<sigc::bound_mem_functor0<bool, Editor>, bool>::call_it (rep=0xb741580)
---Type <return> to continue, or q <return> to quit---
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#11 0x087b7dee in sigc::slot0<bool>::operator() (this=0xb740b18)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:440
#12 0xb6d38e0a in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#13 0xb6baf337 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#14 0xb6bacbf3 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#15 0xb6bad79f in g_main_context_dispatch ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#16 0xb6bad98a in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#17 0xb6bada5d in g_main_context_iteration ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#18 0xb6840bba in gtk_main_iteration ()
   from /opt/Ardour-3.0beta5_13072/lib/libgtk-x11-2.0.so.0
#19 0xb71478d7 in Gtkmm2ext::UI::flush_pending (this=0x934b230)
    at ../libs/gtkmm2ext/gtk_ui.cc:688
#20 0x0891d05f in Editor::first_idle (this=0x9d54078)
    at ../gtk2_ardour/editor.cc:4656
#21 0x087f5e43 in ARDOUR_UI::first_idle (this=0x934b230)
    at ../gtk2_ardour/ardour_ui.cc:3474
#22 0x08810644 in sigc::bound_mem_functor0<bool, ARDOUR_UI>::operator() (
    this=0xb66db6c)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#23 0x0880cea6 in sigc::adaptor_functor<sigc::bound_mem_functor0<bool, ARDOUR_UI---Type <return> to continue, or q <return> to quit---
> >::operator() (this=0xb66db68)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#24 0x088083f2 in sigc::internal::slot_call0<sigc::bound_mem_functor0<bool, ARDOUR_UI>, bool>::call_it (rep=0xb66db50)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#25 0x087b7dee in sigc::slot0<bool>::operator() (this=0xb6ba650)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:440
#26 0xb6d38e0a in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglibmm-2.4.so.1
#27 0xb6baf337 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#28 0xb6bacbf3 in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#29 0xb6bad79f in g_main_context_dispatch ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#30 0xb6bad98a in ?? () from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#31 0xb6bada5d in g_main_context_iteration ()
   from /opt/Ardour-3.0beta5_13072/lib/libglib-2.0.so.0
#32 0xb6840bba in gtk_main_iteration ()
   from /opt/Ardour-3.0beta5_13072/lib/libgtk-x11-2.0.so.0
#33 0xb71478d7 in Gtkmm2ext::UI::flush_pending (this=0x934b230)
    at ../libs/gtkmm2ext/gtk_ui.cc:688
#34 0x0881d9b5 in ARDOUR_UI::goto_editor_window (this=0x934b230)
    at ../gtk2_ardour/ardour_ui_dependents.cc:105
#35 0x087f1a70 in ARDOUR_UI::load_session (this=0x934b230, path=...,
---Type <return> to continue, or q <return> to quit---
    snap_name=..., mix_template=...) at ../gtk2_ardour/ardour_ui.cc:2699
#36 0x087f0ce9 in ARDOUR_UI::get_session_parameters (this=0x934b230,
    quit_on_cancel=true, should_be_new=false, load_template=...)
    at ../gtk2_ardour/ardour_ui.cc:2552
#37 0x087e77db in ARDOUR_UI::startup (this=0x934b230)
    at ../gtk2_ardour/ardour_ui.cc:646
#38 0x0880f7d0 in sigc::bound_mem_functor0<void, ARDOUR_UI>::operator() (
    this=0x961a774)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#39 0x0880bcee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR_UI> >::operator() (this=0x961a770)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#40 0x08807872 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR_UI>, void>::call_it (rep=0x961a758)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#41 0x087d65fe in sigc::internal::signal_emit0<void, sigc::nil>::emit (
    impl=0x961a728)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/signal.h:772
#42 0x087d8964 in sigc::signal0<void, sigc::nil>::emit (this=0x934b2a8)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/signal.h:2669
#43 0x087d7b7f in sigc::signal0<void, sigc::nil>::operator() (this=0x934b2a8)
    at /home/harrison/a3/inst/include/sigc++-2.0/sigc++/signal.h:2677
---Type <return> to continue, or q <return> to quit---
#44 0xb7145c70 in Gtkmm2ext::UI::run (this=0x934b230, old_receiver=...)
    at ../libs/gtkmm2ext/gtk_ui.cc:266
#45 0x08b59865 in main (argc=1, argv=0xbfffe674) at ../gtk2_ardour/main.cc:455
(gdb)
Tags No tags attached.
Attached Files ? file icon Noe Nytt.ardour [^] (195,659 bytes) 2012-08-03 07:18

Sponsor -  Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 10

2012-08-03 07:05: sirriffsalot (US$ 10)

- Relationships

-  Notes
(0014377)
paul (administrator)
2012-12-19 12:48

this is almost certainly fixed in current SVN
(0014655)
sirriffsalot (reporter)
2013-02-21 15:35

Fixed in the new SVN.

- Issue History
Date Modified Username Field Change
2012-08-03 07:04 sirriffsalot New Issue
2012-08-03 07:05 sirriffsalot Sponsorship Added sirriffsalot: US$ 10
2012-08-03 07:05 sirriffsalot Sponsorship Total 0 => 10
2012-08-03 07:05 sirriffsalot Issue Monitored: sirriffsalot
2012-08-03 07:18 sirriffsalot File Added: Noe Nytt.ardour
2012-08-05 15:43 cth103 cost => 0.00
2012-08-05 15:43 cth103 Target Version => 3.0
2012-12-19 12:48 paul Note Added: 0014377
2012-12-19 12:48 paul Status new => feedback
2013-02-21 15:34 sirriffsalot Issue End Monitor: sirriffsalot
2013-02-21 15:35 sirriffsalot Note Added: 0014655
2013-02-21 15:36 sirriffsalot Status feedback => resolved
2013-02-21 15:36 sirriffsalot Resolution open => fixed
2013-02-21 15:36 sirriffsalot Assigned To => sirriffsalot


Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker